
package net.northking.cctp.scriptcase.tools.hapUtil.module;

import com.google.gson.annotations.SerializedName;

import java.util.List;

@SuppressWarnings("unused")
public class Skill {
    private static final String ACTION_SYSTEM_HOME = "action.system.home";
    private static final String ENTRY_SYSTEM_HOME = "entity.system.home";

    @SerializedName("actions")
    private List<String> mActions;
    @SerializedName("entities")
    private List<String> mEntities;

    public List<String> getActions() {
        return mActions;
    }

    public void setActions(List<String> actions) {
        mActions = actions;
    }

    public List<String> getEntities() {
        return mEntities;
    }

    public void setEntities(List<String> entities) {
        mEntities = entities;
    }

    public boolean isDefaultHome() {
        return mActions != null && mActions.contains(ACTION_SYSTEM_HOME) && mEntities != null && mEntities.contains(ENTRY_SYSTEM_HOME);
    }

}
